org.apache.pdfbox.pdfparser

## Class FDFParser

- java.lang.Object
- - org.apache.pdfbox.pdfparser.BaseParser
  - - org.apache.pdfbox.pdfparser.COSParser
    - - org.apache.pdfbox.pdfparser.FDFParser

    public class FDFParser
    extends COSParser

### Field Summary

### Fields inherited from class org.apache.pdfbox.pdfparser.COSParser

`EOF_MARKER, fileLen, initialParseDone, OBJ_MARKER, securityHandler, source, SYSPROP_EOFLOOKUPRANGE, SYSPROP_PARSEMINIMAL, TMP_FILE_PREFIX, xrefTrailerResolver`

### Fields inherited from class org.apache.pdfbox.pdfparser.BaseParser

`A, ASCII_CR, ASCII_LF, B, D, DEF, document, E, ENDOBJ_STRING, ENDSTREAM_STRING, J, M, N, O, R, S, STREAM_STRING, T`

### Constructor Summary

Constructors
Constructor and Description
`FDFParser(File file)` Constructs parser for given file using given buffer for temporary storage.
`FDFParser(InputStream input)` Constructor.
`FDFParser(String filename)` Constructs parser for given file using memory buffer.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `isCatalog(COSDictionary dictionary)` Tell if the dictionary is a FDF catalog.
`void` `parse()` This will parse the stream and populate the COSDocument object.

### Methods inherited from class org.apache.pdfbox.pdfparser.COSParser

`checkPages, getAccessPermission, getDocument, getEncryption, getStartxrefOffset, isLenient, lastIndexOf, parseCOSStream, parseDictObjects, parseFDFHeader, parseObjectDynamically, parseObjectDynamically, parsePDFHeader, parseTrailerValuesDynamically, parseXref, parseXrefTable, rebuildTrailer, retrieveTrailer, setEOFLookupRange, setLenient`

### Methods inherited from class org.apache.pdfbox.pdfparser.BaseParser

`isClosing, isClosing, isDigit, isDigit, isEndOfName, isEOL, isEOL, isSpace, isSpace, isWhitespace, isWhitespace, parseBoolean, parseCOSArray, parseCOSDictionary, parseCOSName, parseCOSString, parseDirObject, readExpectedChar, readExpectedString, readExpectedString, readGenerationNumber, readInt, readLine, readLong, readObjectNumber, readString, readString, readStringNumber, skipLinebreak, skipSpaces, skipWhiteSpaces`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FDFParser

    public FDFParser(String filename)
              throws IOException

Constructs parser for given file using memory buffer.

Parameters:
  `filename` - the filename of the pdf to be parsed
Throws:
  `IOException` - If something went wrong.

#### FDFParser

    public FDFParser(File file)
              throws IOException

Constructs parser for given file using given buffer for temporary storage.

Parameters:
  `file` - the pdf to be parsed
Throws:
  `IOException` - If something went wrong.

#### FDFParser

    public FDFParser(InputStream input)
              throws IOException

Constructor.

Parameters:
  `input` - input stream representing the pdf.
Throws:
  `IOException` - If something went wrong.

### Method Detail

#### isCatalog

    protected final boolean isCatalog(COSDictionary dictionary)

Tell if the dictionary is a FDF catalog.

Overrides:
  `isCatalog` in class `COSParser`
Parameters:
  `dictionary` -
Returns:

#### parse

    public void parse()
               throws IOException

This will parse the stream and populate the COSDocument object.

Throws:
  `IOException` - If there is an error reading from the stream or corrupt data is found.